UNMOUNT(2)

NAME
unmount - remove a file system

SYNOPSIS
unmount(name)
char *name;

DESCRIPTION

unmount() announces to the system that the directory name is no longer to refer to the root of a mounted file system. The directory name reverts to its ordinary interpretation.

RETURN VALUE
unmount() returns 0 if the action occurred; -1 if if the directory is inaccessible or does not have a mounted file system, or if there are active files in the mounted file system.

ERRORS
unmount() may fail with one of the following errors:

EPERM
    The caller is not the super-user.

ENOTDIR
    A component of the path prefix of name is not a directory.

EINVAL
    name is not the root of a mounted file system.

EBUSY
    A process is holding a reference to a file located on the file system.

ENAMETOOLONG
    The length of a component of the path name exceeds 255 characters, or the length of the entire path name exceeds 1023 characters.

ENOENT
    name does not exist.

EACCES
    Search permission is denied for a component of the path prefix.

EFAULT
    name points outside the process's allocated address space.

ELOOP
    Too many symbolic links were encountered in translating the path name.

EIO An I/O error occurred while reading from or writing to the file system.

SEE ALSO
mount(2), mount(8),

BUGS

The error codes are in a state of disarray; too many errors appear to the caller as one value.